Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class TextEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.TextEvent

All Implemented Interfaces:
  Serializable

    public class TextEvent

extends AWTEvent

A semantic event which indicates that an object's text changed. This high-level event is generated by an object (such as a TextComponent) when its text changes. The event is passed to every `TextListener` object which registered to receive such events using the component's `addTextListener` method.

The object that implements the `TextListener` interface gets this `TextEvent` when the event occurs. The listener is spared the details of processing individual mouse movements and key strokes Instead, it can process a "meaningful" (semantic) event like "text changed".

Since:
  1.1
See Also:
  `TextComponent`, `TextListener`, Tutorial: Writing a Text Listener, Reference: The Java Class Libraries (update file), Serialized Form

Field Summary
`static int` | `TEXT_FIRST` The first number in the range of ids used for text events.
`static int` | `TEXT_LAST` The last number in the range of ids used for text events.
`static int` | `TEXT_VALUE_CHANGED` This event id indicates that object's text changed.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TextEvent(Object source, int id)` Constructs a `TextEvent` object.

Method Summary
`String` | `paramString()` Returns a parameter string identifying this text event.

Methods inherited from class java.awt.AWTEvent
`consume, getID, isConsumed, setSource, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_FIRST

    public static final int TEXT_FIRST

  The first number in the range of ids used for text events.

  See Also:
    Constant Field Values

### TEXT_LAST

    public static final int TEXT_LAST

  The last number in the range of ids used for text events.

  See Also:
    Constant Field Values

### TEXT_VALUE_CHANGED

    public static final int TEXT_VALUE_CHANGED

  This event id indicates that object's text changed.

  See Also:
    Constant Field Values

Constructor Detail

### TextEvent

    public TextEvent(Object source,
                     int id)

  Constructs a `TextEvent` object.

  Note that passing in an invalid `id` results in unspecified behavior. This method throws an `IllegalArgumentException` if `source` is `null`.

  Parameters:
    `source` - the (`TextComponent`) object that originated the event
    `id` - an integer that identifies the event type
  Throws:
    `IllegalArgumentException` - if `source` is null

Method Detail

### paramString

    public String paramString()

  Returns a parameter string identifying this text event. This method is useful for event-logging and for debugging.

  Overrides:
    `paramString` in class `AWTEvent`
  Returns:
    a string identifying the event and its attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.